Subject: findAll() does not return the just before added item.
Description

When adding an item to a repository and immediately thereafter calling the findAll() method, the just added items are not returned.

$customer = $this->objectFactory->create('F3\Projects\Domain\Model\Customer');
$customer->setFirstName($this->rand_str(rand(5,32)));
$customer->setLastName($this->rand_str(rand(5,32)));
$this->customerRepository->add($customer);
$this->view->assign('customers', $this->customerRepository->findAll());

Happens with revision 3915 on windows vista. Havent tried anything else.

Associated revisions
Revision 4e90b2af - 2009-09-29 12:28 - Karsten Dambekalns

[~TASK] FLOW3 (Documentation): Added explanation of add/retrieve behaviour in persistence repositories to the manual, fixes #4755.

History
#1 - 2009-09-28 12:18 - Karsten Dambekalns
- Status changed from New to Accepted
- Assigned To set to Karsten Dambekalns
- Target version set to 1.0 alpha 5

Just a sidenote: for generating fake data, try Faker...

#2 - 2009-09-28 16:25 - Falk Kühnel

Oh, i havent seen Faker yet. Thanks for the hint. Saves quite some work with dummy data ;)

#3 - 2009-09-29 12:27 - Karsten Dambekalns

This is not a bug but intended behaviour. I'll add an explanation to the persistence chapter of the FLOW3 manual.

#4 - 2009-09-29 12:51 - Falk Kühnel
http://forge.typo3.org/projects/show/package-faker


Karsten Dambekalns wrote:

This is not a bug but intended behaviour. I'll add an explanation to the persistence chapter of the FLOW3 manual.

Very confusing. Why is it intended? I personally would expect to retrieve all Items from the Repository, even the ones, that did not yet get persisted.
Cant wait for that chapter :)

#5 - 2009-09-29 13:00 - Karsten Dambekalns
- Status changed from Accepted to Resolved
- % Done changed from 0 to 100

Applied in changeset r3238.
